> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sandbox Error Context Endpoint

> Get error context for a sandbox (optimized for SDK error handling flows)

## Rate Limit

600 requests per 60 seconds per IP and token per sandbox.


## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/sandbox/{sandbox_id}/error-context
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/sandbox/{sandbox_id}/error-context:
    get:
      tags:
        - Sandbox
      summary: Get Sandbox Error Context Endpoint
      description: Get error context for a sandbox (optimized for SDK error handling flows)
      operationId: >-
        get_sandbox_error_context_endpoint_api_v1_sandbox__sandbox_id__error_context_get
      parameters:
        - name: sandbox_id
          in: path
          required: true
          schema:
            type: string
            title: Sandbox Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SandboxErrorContextResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    SandboxErrorContextResponse:
      properties:
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        errorType:
          anyOf:
            - type: string
            - type: 'null'
          title: Errortype
        errorMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Errormessage
      type: object
      title: SandboxErrorContextResponse
      description: Response for error context lookups
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````